Summary: Linux LCD display driver
Name: lcdproc
Version: 0.5.2
Release: 9
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://www.asterisk.org
Source0: %{name}-%{version}.tar.gz
Source1: LCDd.conf
Source2: LCDd.init
Source3: lcdelastix-1.3.tar.bz2
Source4: crystalfontz.pl
Patch0: lcdproc.elastix.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: asterisk
Requires: php >= 5.0.0
#BuildRequires: gcc-c++
#BuildRequires: m4
#BuildRequires: openssl-devel
#BuildRequires: newt-devel
#Obsoletes: asterisk-sounds

%description
LCDproc is a piece of software that displays real-time system information from your Linux/*BSD box on a LCD.

%prep
%setup -q
%patch0 -p1 

%build
%configure --enable-drivers=CFontzPacket
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 
#install -m 0664 %{SOURCE1} %{buildroot}/etc/
cat %{SOURCE1} | sed 's|/usr/lib|%{_libdir}|' > %{buildroot}/etc/LCDd.conf
mkdir -p %{buildroot}/etc/rc.d/init.d/
install -m 0755 %{SOURCE2} %{buildroot}/etc/rc.d/init.d/LCDd
rm -rf %{buildroot}/usr/bin/lcdmetar.pl
mkdir -p  %{buildroot}/opt
tar -xvjf %{SOURCE3} -C %{buildroot}/opt/
install -m 0755 %{buildroot}/opt/lcdelastix/lcdelastix  %{buildroot}/etc/rc.d/init.d/lcdelastix
install -m 0755 %{SOURCE4} %{buildroot}/usr/bin/crystalfontz.pl

%clean
rm -rf %{buildroot}

%pre

%post
# Register the asterisk service
/sbin/chkconfig --add LCDd
/sbin/chkconfig --add lcdelastix
/sbin/chkconfig lcdelastix off
/sbin/chkconfig LCDd off

%preun

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/*
%{_libdir}/*
%config(noreplace) /etc/*
%defattr(-,asterisk,asterisk,-)
/opt/lcdelastix
/opt/lcdelastix/*

%changelog
* Tue Jun 01 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.2-9
- Remove stray reference to Elastix Dialer

* Mon May 03 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.2-8
- Fix hd.php applet to report disk capacity correctly.
- Fix mem.php applet to subtract cached space from used memory.

* Tue Mar 02 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.2-7
- Add asterisk to Prereq in order to have a valid 'asterisk' user/group
  during ISO installation.
- Patch /etc/LCDd.conf to point to correct libdir on all architectures.
- Be more specific in package files to avoid including debugging files in main RPM.

* Thu Dec 17 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 0.5.2-6
- Fix directory ownership in /opt/lcdelastix/

* Mon Aug 25 2008 Alex Villacís <a_villacis@palosanto.com> 0.5.2-5
- Now lcdelastix client is more robust, added as a service (disabled by default)
- Handy utility crystalfontz.pl, useful to set boot-up LCD display.

* Thu Jul 31 2008 Edgar Landivar <e_landivar@palosanto.com> 0.5.2-4
- First lcdproc RPM
